> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/multi-part-import.md).

# Multi Part Import

Run and manage multi-part imports in VARIO Cloud via API, including ordered rule sets, templates, import runs, copies, status tracking, and execution.

Multi-stage import runs.

## GET /cmn/data-import/runs/multi-part/{id}

> Find an existing Resource by identifier

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"MultiPartImport","description":"Multi-stage import runs."}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/data-import/runs/multi-part/{id}":{"get":{"tags":["MultiPartImport"],"summary":"Find an existing Resource by identifier","operationId":"getById_135","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/common-data_import-MultiPartImportRun"}}}},"404":{"description":"Resource with given ID was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"common-data_import-MultiPartImportRun":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label."},"state":{"type":"string","description":"Status.","enum":["CREATED","EXTRACTING_DATA","DATA_EXTRACTED","RUNNING","ERRONEOUS","COMPLETED","IGNORED","DUMMY"]},"orderedRuleSets":{"type":"array","description":"Import rule set and run by order.","items":{"$ref":"#/components/schemas/common-data_import-MultiPartImportOrderedRuleSet"}},"template":{"type":"boolean","default":false,"description":"Is this a template?"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"common-data_import-MultiPartImportOrderedRuleSet":{"description":"Import rule set and run by order.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"importRun":{"$ref":"#/components/schemas/common-data_import-DataImportRun"},"step":{"type":"integer","format":"int32","description":"Level at which the import run is started."},"fileName":{"type":"string","description":"File used for the import."},"importMappingRuleSetRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"label":{"type":"string","description":"Label."}}},"common-data_import-DataImportRun":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"importMappingRuleSetRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"state":{"type":"string","description":"Import run status.","enum":["CREATED","EXTRACTING_DATA","DATA_EXTRACTED","RUNNING","ERRONEOUS","COMPLETED","IGNORED","DUMMY"],"readOnly":true},"headers":{"type":"array","description":"Column assignments.","items":{"$ref":"#/components/schemas/common-data_import-ImportHeader"}},"label":{"type":"string","description":"Label."},"validatedSinceLastRuleChange":{"type":"boolean","default":false,"description":"Were the data validated since the last change to the rule set?","readOnly":true},"lastImportProcess":{"type":"string","format":"uuid","description":"Process identifier of the last tasks of this import run."},"inputType":{"type":"string","description":"Input data type.","enum":["FILE","QUERY"]},"queryPresetRequest":{"$ref":"#/components/schemas/common-cunit-QueryPresetRequest"},"scheduledImportRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"common-data_import-ImportHeader":{"description":"Column assignments.","properties":{"id":{"type":"integer","format":"int64","description":"Unique identifier.","readOnly":true},"caption":{"type":"string","description":"Own column name."},"columnRef":{"type":"string","description":"Physical column name."},"array":{"type":"boolean","description":"Is this an array?"}},"required":["array","caption","columnRef"]},"common-cunit-QueryPresetRequest":{"description":"CUnit template for creating the import.","properties":{"mode":{"type":"string","default":"QUERY","description":"What this preset can represent, QUERY or STATEMENT.","enum":["QUERY","STATEMENT"]},"queryStatement":{"type":"string","description":"When mode == STATEMENT, the VQL query."},"presetId":{"type":"string","description":"Preset identifier."},"adhocPreset":{"$ref":"#/components/schemas/common-cunit-QueryPreset"},"overrideResults":{"type":"array","description":"Results (override QueryPreset#results).","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"}},"arithmeticQueryTerms":{"type":"array","description":"Arithmetic terms - this is where the actual calculation goes.","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTerm"}},"additionalPredicate":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"},"pageable":{"$ref":"#/components/schemas/common-cunit-QueryPresetRequestPageable"},"variableSubstitutionList":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariableSubstitutionList"}}},"common-cunit-QueryPreset":{"description":"Adhoc Preset","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"mode":{"type":"string","default":"QUERY","description":"What this preset can represent, QUERY or STATEMENT.","enum":["QUERY","STATEMENT"]},"templateId":{"type":"string","description":"Template this filter was assigned to.","minLength":1},"templateGroupKey":{"type":"string","description":"The templateGroupKey this filter was assigned to.","minLength":1},"label":{"type":"string","description":"Filter label.","minLength":1},"uiPayload":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"variables":{"type":"array","description":"Variables for this preset.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariable"}},"queryStatement":{"type":"string","description":"When mode == STATEMENT, the VQL query."},"queryPredicate":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"},"results":{"type":"array","description":"Results.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"}},"sortAndOrders":{"type":"array","description":"Sort order.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetSortOrder"}},"pageable":{"$ref":"#/components/schemas/common-cunit-QueryPresetPageable"},"option":{"$ref":"#/components/schemas/common-cunit-QueryPresetOption"},"transformations":{"type":"array","description":"Additional configurations.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetTransformation"}},"arithmeticQueryTerms":{"type":"array","description":"Arithmetic terms - this is where the actual calculation goes.","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTerm"}},"definition":{"type":"array","description":"Cell column description (when nested).","items":{"$ref":"#/components/schemas/core-cunit-MetaContent"},"readOnly":true},"permissionAggregation":{"$ref":"#/components/schemas/common-user-ObjectSpecificPermissionAggregation"},"forWorkflow":{"type":"boolean","default":false,"description":"Intended for workflows."},"outputReportGroupIdentifier":{"type":"string","description":"Identifier of an OutputReportGroup (moduleKey=cunit) used as the print template for this preset."},"userOptions":{"$ref":"#/components/schemas/common-cunit-QueryPresetUserOptions"}},"required":["forWorkflow","label","mode","permissionAggregation","templateGroupKey","templateId"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"common-cunit-QueryPresetVariable":{"description":"Variable to replace.","properties":{"path":{"type":"string","description":"Path that uniquely describes this attribute."},"definition":{"$ref":"#/components/schemas/core-cunit-MetaContent"},"mandatory":{"type":"boolean","description":"Whether the variable is mandatory or not."},"variableName":{"type":"string","description":"Variable name."},"visible":{"type":"boolean","default":true,"description":"Is this a visible variable?"},"alignX":{"type":"integer","format":"int32","description":"Layout in the UI - x coordinate."},"alignY":{"type":"integer","format":"int32","description":"Layout in the UI - y coordinate."},"alignWidth":{"type":"integer","format":"int32","description":"Layout in the UI - width."},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"allowDialogMultipleChoice":{"type":"boolean","default":false,"description":"Is a multiple selection allowed?"}}},"core-cunit-MetaContent":{"description":"Variable definition.","discriminator":{"propertyName":"_type"},"oneOf":[{"$ref":"#/components/schemas/core-cunit-CuMeta"},{"$ref":"#/components/schemas/core-cunit-CuAttribute"}],"properties":{"_type":{"type":"string"}},"required":["_type"]},"core-cunit-CuMeta":{"allOf":[{"$ref":"#/components/schemas/core-cunit-MetaContent"},{"type":"object","properties":{"definition":{"$ref":"#/components/schemas/core-cunit-CuAttribute"},"value":{"type":"array","description":"Cell column description (when nested).","items":{"$ref":"#/components/schemas/core-cunit-MetaContent"}}}}]},"core-cunit-CuAttribute":{"allOf":[{"$ref":"#/components/schemas/core-cunit-MetaContent"},{"type":"object","properties":{"key":{"type":"string","description":"Unique key identifying the attribute."},"attribute":{"type":"string","description":"Name of the attribute containing the result."},"path":{"type":"string","description":"Path that uniquely describes this attribute."},"displayName":{"type":"string","description":"Field name."},"displayNameOverride":{"type":"boolean","default":false,"description":"The field name was overridden (alias or function)."},"groupDisplayName":{"type":"string","description":"Field group name."},"parentDisplayName":{"type":"string","description":"Referencing field name."},"resultable":{"type":"boolean","default":true,"description":"Can this field be a result field?"},"filterable":{"type":"boolean","default":true,"description":"Can this field be filtered by?"},"sortable":{"type":"boolean","default":true,"description":"Is this field sortable?"},"visible":{"type":"boolean","default":true,"description":"Should this field be shown?"},"functions":{"type":"array","description":"Applied functions (when this is used as result metadata).","items":{"type":"string","description":"Applied functions (when this is used as result metadata)."}},"sortDirection":{"type":"string","description":"Information on how this column was sorted."},"constraint":{"$ref":"#/components/schemas/core-cunit-CuAttributeConstraint"},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"dataTypeIdentifier":{"type":"string","description":"Attribute data type identifier (when dataType is empty).","readOnly":true},"modelType":{"type":"string","description":"The attribute belongs to the model type 'static' or 'dynamic'.","enum":["STATIC","DYNAMIC"],"readOnly":true},"entityIdentifier":{"type":"string","description":"Identifier of the entity this attribute belongs to (e.g. 'AccountEntity').","readOnly":true},"referencedEntityIdentifier":{"type":"string","description":"For relation attributes: fully qualified class name of the target entity (e.g. 'ag.vario.erp.account.AccountEntity').","readOnly":true},"headers":{"type":"array","description":"For a grouped header (e.g. a cross table) the individual groups are described here.","items":{"$ref":"#/components/schemas/core-cunit-CuAttribute.HeaderGroup"},"readOnly":true}}}]},"core-cunit-CuAttributeConstraint":{"description":"Attribute constraints.","properties":{"minLength":{"type":"integer","format":"int32","description":"Minimum length (of strings or arrays).","readOnly":true},"maxLength":{"type":"integer","format":"int32","description":"Maximum length (of strings or arrays).","readOnly":true},"minValue":{"type":"integer","format":"int64","description":"Minimum value.","readOnly":true},"includeMinValue":{"type":"boolean","description":"Is the minimum value inclusive?","readOnly":true},"maxValue":{"type":"integer","format":"int64","description":"Maximum value.","readOnly":true},"includeMaxValue":{"type":"boolean","description":"Is the maximum value inclusive?","readOnly":true},"notNull":{"type":"boolean","default":false,"description":"Is the value 'null' forbidden?","readOnly":true},"notBlank":{"type":"boolean","description":"For strings: is a string consisting only of whitespace forbidden?","readOnly":true},"digitsFraction":{"type":"integer","format":"int32","description":"Maximum number of decimal places.","readOnly":true}}},"core-cunit-CuAttributeDataType":{"description":"Attribute data type (when dataTypeIdentifier is empty).","properties":{"identifier":{"type":"string","description":"Datentyp-identifier","readOnly":true},"jsType":{"type":"string","description":"Which type it is.","readOnly":true},"objectRefIdentifier":{"type":"string","description":"For Object_Ref: which type exactly it is.","readOnly":true},"filterOptions":{"$ref":"#/components/schemas/core-cunit-CuAttributeFilterOptions"},"functions":{"type":"array","description":"Which functions are allowed?","items":{"type":"string","description":"Which functions are allowed?"},"readOnly":true},"predicateOperations":{"type":"array","description":"Which operations are allowed?","items":{"type":"string","description":"Which operations are allowed?","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"readOnly":true}}},"core-cunit-CuAttributeFilterOptions":{"description":"CUnit attribute filter options.","properties":{"filterValues":{"type":"array","description":"Possible filter values.","items":{"type":"string","description":"Possible filter values."}},"filterDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"multipleChoice":{"type":"boolean","default":false,"description":"Is a multiple selection allowed?"}}},"core-cunit-CuAttribute.HeaderGroup":{"description":"For a grouped header (e.g. a cross table) the individual groups are described here.","properties":{"displayName":{"type":"string","description":"Field name."},"displayNameOverride":{"type":"boolean","default":false,"description":"The field name was overridden (alias or function)."},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"dataTypeIdentifier":{"type":"string","description":"Attribute data type identifier (when dataType is empty).","readOnly":true},"groupDisplayName":{"type":"string","description":"Field group name."},"data":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"common-cunit-QueryPresetPredicate":{"description":"Conditions for selecting storage bins.","properties":{"type":{"type":"string","description":"Filter operation.","enum":["JUNCTION","FILTER"]},"operator":{"type":"string","description":"operator","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"children":{"type":"array","description":"Child definitions (for a junction).","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"}},"property":{"type":"string","description":"filter property"},"values":{"type":"array","description":"Filter values.","items":{"type":"string","description":"Filter values."}},"visible":{"type":"boolean","default":true,"description":"Visibility for variables."},"functions":{"type":"array","description":"SQL function applied in the predicate.","items":{"type":"string","description":"SQL function applied in the predicate."}}},"required":["operator","type"]},"common-cunit-QueryPresetResult":{"description":"Results.","properties":{"property":{"type":"string","description":"property","minLength":1},"displayName":{"type":"string","description":"Column title."},"functions":{"type":"array","description":"Functions.","items":{"type":"string","description":"Functions."}},"visible":{"type":"boolean","default":true,"description":"Visible result column."}},"required":["property"]},"common-cunit-QueryPresetSortOrder":{"description":"Sort and order instructions.","properties":{"property":{"type":"string","description":"property","minLength":1},"functions":{"type":"array","description":"Functions","items":{"type":"string","description":"Functions"}},"direction":{"type":"string","description":"sort order","enum":["ASC","DESC"]}},"required":["direction","property"]},"common-cunit-QueryPresetPageable":{"description":"pageable","properties":{"limit":{"type":"integer","format":"int64","description":"Query limit (MaxRecordCount)."}}},"common-cunit-QueryPresetOption":{"description":"options","properties":{"distinctResult":{"type":"boolean","description":"Should the query be executed with a DISTINCT?"}}},"common-cunit-QueryPresetTransformation":{"description":"Additional configurations.","properties":{"crossTable":{"$ref":"#/components/schemas/common-cunit-QueryPresetCrossTableTransformation"}}},"common-cunit-QueryPresetCrossTableTransformation":{"description":"Contains the fields responsible for forming the rows in a cross table (essentially the group key).","properties":{"rowSpecs":{"type":"array","description":"Contains the fields responsible for forming the rows in a cross table (essentially the group key).","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"},"minItems":1},"columnSpecs":{"type":"array","description":"Contains the fields that are created as dynamic columns in the cross table.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"},"minItems":1},"results":{"type":"array","description":"Contains the fields that are determined per rowSpec combination depending on the column value.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetCrossTableTransformation.QueryPresetCrossTableCell"},"minItems":1}},"required":["columnSpecs","results","rowSpecs"]},"common-cunit-QueryPresetCrossTableTransformation.QueryPresetCrossTableCell":{"description":"Contains the fields that are determined per rowSpec combination depending on the column value.","properties":{"result":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"},"cellView":{"type":"string","description":"Value representation.","enum":["AS_IS","PERCENT_COL"]},"sumColumn":{"type":"boolean","default":false,"description":"Should a column total be created?"},"rowMode":{"type":"string","description":"Should a row total be created?","enum":["DATA","DATA_AND_TOTAL","TOTAL"]},"aggregateFunction":{"type":"string","description":"Function the cell values are aggregated with."}}},"common-cunit-ArithmeticQueryTerm":{"description":"Arithmetic terms - this is where the actual calculation goes.","properties":{"termName":{"type":"string","description":"Term name for processing and display."},"terms":{"type":"array","description":"Inner terms - either references to attributes or further nestings of the calculation.","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTermInner"}},"operations":{"type":"array","description":"Operations to be performed on the terms.","items":{"type":"string","description":"Operations to be performed on the terms.","enum":["PLUS","MINUS","MULTIPLY","DIVIDE"]}}}},"common-cunit-ArithmeticQueryTermInner":{"description":"Inner terms - either references to attributes or further nestings of the calculation.","properties":{"fragment":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTermFragment"},"attribute":{"type":"string","description":"Actual attribute from the template."},"fixedValue":{"type":"number","description":"Fixed value."}}},"common-cunit-ArithmeticQueryTermFragment":{"description":"Term fragment - a further nesting with its own operations.","properties":{"terms":{"type":"array","description":"Inner terms - either references to attributes or further nestings of the calculation.","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTermInner"}},"operations":{"type":"array","description":"Operations to be performed on the terms.","items":{"type":"string","description":"Operations to be performed on the terms.","enum":["PLUS","MINUS","MULTIPLY","DIVIDE"]}}}},"common-user-ObjectSpecificPermissionAggregation":{"description":"All user and group permissions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"userPermissions":{"type":"array","description":"User permissions.","items":{"$ref":"#/components/schemas/common-user-ObjectSpecificUserPermission"}},"groupPermissions":{"type":"array","description":"Group permissions.","items":{"$ref":"#/components/schemas/common-user-ObjectSpecificGroupPermission"}},"operationForAllUsers":{"type":"string","description":"Access rights for all users.","enum":["READ_ONLY","READ_AND_EDIT"]}}},"common-user-ObjectSpecificUserPermission":{"description":"User permissions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"userRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"operation":{"type":"string","description":"Permission.","enum":["READ_ONLY","READ_AND_EDIT"]}}},"common-user-ObjectSpecificGroupPermission":{"description":"Group permissions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"groupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"operation":{"type":"string","description":"Permission.","enum":["READ_ONLY","READ_AND_EDIT"]}}},"common-cunit-QueryPresetUserOptions":{"description":"User-related settings.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"pinned":{"type":"boolean","default":false,"description":"Is this pinned?"}},"required":["pinned"]},"common-cunit-QueryPresetRequestPageable":{"description":"Paging and sorting information.","properties":{"start":{"type":"integer","format":"int64","description":"Start-Offset"},"limit":{"type":"integer","format":"int32","description":"Result limit."},"sortOrders":{"type":"array","description":"Sort and order instructions.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetSortOrder"}}}},"common-cunit-QueryPresetVariableSubstitutionList":{"description":"Variable values.","properties":{"variableSubstitutions":{"type":"array","description":"Variable assignments.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariableSubstitution"}}}},"common-cunit-QueryPresetVariableSubstitution":{"description":"Variable assignments.","properties":{"variable":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariable"},"values":{"type":"array","description":"Values to insert.","items":{"type":"string","description":"Values to insert."}}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}}}}}
```

## PUT /cmn/data-import/runs/multi-part/{id}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"MultiPartImport","description":"Multi-stage import runs."}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/data-import/runs/multi-part/{id}":{"put":{"tags":["MultiPartImport"],"operationId":"updateFromRequest","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-data_import-UpdateMultiPartImportRunRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/common-data_import-MultiPartImportRun"}}}}}}}},"components":{"schemas":{"common-data_import-UpdateMultiPartImportRunRequest":{"properties":{"label":{"type":"string","description":"Label."},"orderedRuleSets":{"type":"array","description":"Import rule set with a defined order.","items":{"$ref":"#/components/schemas/common-data_import-UpdateMultiPartOrderedRuleSetRequest"}}}},"common-data_import-UpdateMultiPartOrderedRuleSetRequest":{"description":"Import rule set with a defined order.","properties":{"id":{"type":"integer","format":"int64","description":"MultiPartImportOrderedRuleSet identifier."},"step":{"type":"integer","format":"int32","description":"Level at which the individual import is started."},"fileName":{"type":"string","description":"File used for the import (including file extension)."},"label":{"type":"string","description":"Import name."},"ruleSet":{"$ref":"#/components/schemas/common-data_import-ImportMappingRuleSet"}}},"common-data_import-ImportMappingRuleSet":{"description":"Rule set for the import run.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"mode":{"type":"string","description":"Mode.","enum":["SCRIPT","IMPORT","EXPORT"]},"label":{"type":"string","description":"Unique label."},"root":{"type":"string","description":"For JSON and XML import: at which path do the import data start?"},"rules":{"type":"array","description":"Mapping rules.","items":{"$ref":"#/components/schemas/common-data_import-ImportMappingRule"}},"importModuleKey":{"type":"string","description":"Which import this rule set applies to."},"dataFrom":{"type":"integer","format":"int64","description":"First record index (1-based) - all preceding ones are ignored."},"dataTo":{"type":"integer","format":"int64","description":"Last record index (1-based) - all following ones are ignored."},"headerIndex":{"type":"integer","format":"int64","description":"If present: header row index (1-based)."},"columnSeparator":{"type":"string","description":"CSV only: separator within a row."},"fixedWidthColumnDefinitions":{"type":"array","description":"Column definitions used to split fixed-width rows","items":{"$ref":"#/components/schemas/common-data_import-FixedWidthColumnDefinition"}},"charSet":{"type":"string","description":"For CSV and JSON: the character set used.","enum":["UTF_8","ASCII","LATIN_1","AUTO_DETECT"]},"quotingChar":{"type":"string","description":"CSV only: character used to quote a text field (usually ' or \")."},"targetFieldRules":{"type":"array","description":"Indicates how target fields and sub-objects are handled.","items":{"$ref":"#/components/schemas/common-data_import-TargetFieldRule"}},"createRulesForEavGroup":{"type":"string","description":"Indicates that rules should be generated for an EAV group on execution."},"defaultDateFormatDirective":{"$ref":"#/components/schemas/common-data_import-FormatDirective"},"defaultDateTimeFormatDirective":{"$ref":"#/components/schemas/common-data_import-FormatDirective"},"defaultNumberFormatDirective":{"$ref":"#/components/schemas/common-data_import-FormatDirective"},"defaultBooleanFormatDirective":{"$ref":"#/components/schemas/common-data_import-FormatDirective"},"script":{"type":"string","description":"When mode == SCRIPT: the script to execute. Only the script or the script module may be set."},"scriptModuleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"parameters":{"type":"array","description":"Script parameters.","items":{"$ref":"#/components/schemas/common-data_import-ImportMappingRuleSetParameter"}},"parallelExecutionAllowed":{"type":"boolean","default":true,"description":"Is splitting into several tasks executed in parallel allowed?"},"advancedUi":{"type":"boolean","default":false,"description":"Use the advanced representation in the UI?"},"ignoreEmptyData":{"type":"boolean","default":false,"description":"For JSON import: ignore an empty data set?"},"exportSetting":{"$ref":"#/components/schemas/common-data_import-ExportSetting"},"suppressWebhooks":{"type":"boolean","default":false,"description":"Should webhooks be disabled during the execution?"},"suppressWorkflows":{"type":"boolean","default":false,"description":"Should workflows be disabled during the execution?"},"createMissingHeadersFromRuleSet":{"type":"boolean","default":false,"description":"JSON and XML only: generate missing headers automatically from the columns referenced in the rule set?"}},"required":["mode"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"common-data_import-ImportMappingRule":{"description":"Mapping rules.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"transformation":{"$ref":"#/components/schemas/common-data_import-Transformation"}},"required":["transformation"]},"common-data_import-Transformation":{"description":"Indicates how the value for target is produced.","properties":{"type":{"type":"string","description":"Transformation type.","enum":["DIRECT","CONCAT","TRIM","UPPER_CASE","LOWER_CASE","REPLACE","REGEX_REPLACE","FIXED_VALUE","COALESCE","ROW_INDEX","GET_AT_INDEX","ITERATE","GROUP_TO_OBJECT","MODULE_SPECIFIC"]},"children":{"type":"array","description":"Sub-transformations as input for the transformation.","items":{"$ref":"#/components/schemas/common-data_import-Transformation"}},"columnName":{"type":"string","description":"For DIRECT, GET_AT_INDEX and ITERATE: the column the data are taken from."},"fixedValue":{"type":"string","description":"For FIXED_VALUE: the value."},"replacements":{"type":"array","description":"For REPLACE: the replacements.","items":{"$ref":"#/components/schemas/common-data_import-Transformation.Replacement"}},"matchWholeFieldsOnly":{"type":"boolean","description":"For REPLACE: replace only when the whole value matches, no substrings."},"regexSearch":{"type":"string","description":"For REGEX_REPLACE: the regular expression to search for."},"regexReplacement":{"type":"string","description":"For REGEX_REPLACE: the replacement applied for the regular expression."},"caseSensitive":{"type":"boolean","description":"For (REGEX_)REPLACE: replace only when the case matches?"},"useDefaultValueForReplacement":{"type":"boolean","default":false,"description":"For REPLACE with matchWholeFieldsOnly: should the default value be used when no expression matches?"},"defaultValue":{"type":"string","description":"For REPLACE with matchWholeFieldsOnly: the replacement when no expression matches."},"index":{"type":"integer","format":"int32","description":"For GET_AT_INDEX: which array element is wanted (0-based index)?"},"target":{"type":"string","description":"Target the transformation result is written to."},"formatDirective":{"$ref":"#/components/schemas/common-data_import-FormatDirective"},"moduleSpecificTransformationKey":{"type":"string","description":"Key for special transformations."},"suppressFailures":{"type":"boolean","description":"For special transformations: ignore an error and use null instead?"},"auxiliaryTransformation":{"type":"boolean","default":false,"description":"Is this an auxiliary transformation without a real mapping target?"},"dataType":{"type":"string","description":"For auxiliary transformations: the data type."}},"required":["type"]},"common-data_import-Transformation.Replacement":{"description":"For REPLACE: the replacements.","properties":{"from":{"type":"string","description":"String to replace.","minLength":1},"to":{"type":"string","description":"Replacement for the string."}},"required":["from"]},"common-data_import-FormatDirective":{"description":"Default format for boolean values.","properties":{"formatType":{"type":"string","description":"Which data type this formatting is intended for.","enum":["NUMERIC","DATE","DATETIME","BOOLEAN"]},"patternString":{"type":"string","description":"For DATE and DATETIME: a pattern for parsing."},"groupingSign":{"type":"string","description":"Thousands separator for numeric values."},"decimalSign":{"type":"string","description":"Decimal separator for numeric values."},"representationForTrue":{"type":"string","description":"Text representing the boolean value true (for example 'J')."},"representationForFalse":{"type":"string","description":"Text representing the boolean value false (for example 'N')."}},"required":["formatType"]},"common-data_import-FixedWidthColumnDefinition":{"description":"Column definitions used to split fixed-width rows","properties":{"startPosition":{"type":"integer","format":"int32","description":"Column starting position","minimum":1},"padChar":{"type":"string","description":"will be removed if found at the beginning or end of the column","maxLength":1,"minLength":1}},"required":["startPosition"]},"common-data_import-TargetFieldRule":{"description":"Indicates how target fields and sub-objects are handled.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"path":{"type":"string","description":"Path to the sub-object or field."},"lookupFields":{"type":"array","description":"Which fields identify the object? Only for LOAD_OR_INSERT, UPDATE and UPSERT.","items":{"type":"string","description":"Which fields identify the object? Only for LOAD_OR_INSERT, UPDATE and UPSERT."}},"policy":{"type":"string","description":"How should sub-objects be handled?","enum":["LOAD","INSERT","INSERT_FACTORY","UPSERT","UPDATE","LOAD_OR_INSERT","LOAD_OR_IGNORE"]},"nullValueHandlingStrategy":{"type":"string","description":"How should a null value be handled?","enum":["IGNORE","OVERRIDE"]},"ignoreRules":{"type":"array","description":"Conditions under which the object to import should be ignored.","items":{"$ref":"#/components/schemas/common-data_import-IgnoreRule"}}},"required":["path"]},"common-data_import-IgnoreRule":{"description":"Conditions under which the object to import should be ignored.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"comparisonType":{"type":"string","description":"Comparison operator.","enum":["IS_NULL","IS_NOT_NULL","EQUALS","NOT_EQUALS","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS"]},"matchingType":{"type":"string","description":"Does a single match already fail or must all values match?","enum":["ANY_MATCH","ALL_MATCH"]},"comparisonValue":{"type":"string","description":"Value that leads to exclusion."},"fieldToCompare":{"type":"string","description":"Which field's value is compared?"}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"common-data_import-ImportMappingRuleSetParameter":{"description":"Import rule set parameter.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Parameter name.","maxLength":255,"minLength":0},"requiredValueType":{"type":"string","description":"Parameter type, if it was predefined e.g. by a script module.","maxLength":255,"minLength":0,"readOnly":true},"fixedValue":{"type":"string","description":"Fixed value (only in combination with fixedValueType).","maxLength":255,"minLength":0},"fixedValueType":{"type":"string","description":"Fixed value data type (only in combination with fixedValue).","maxLength":255,"minLength":0},"queryPresetRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"variableMapping":{"type":"object","additionalProperties":{"type":"string","description":"Mapping from a query variable (key) to attribute paths in the import data (value)."},"description":"Mapping from a query variable (key) to attribute paths in the import data (value)."},"attributePath":{"type":"string","description":"Path to an attribute within the query from queryPresetRef."}},"required":["name"]},"common-data_import-ExportSetting":{"description":"When a file export module was selected: the export settings.","properties":{"fileName":{"type":"string","description":"File name without the file extension.","minLength":1},"charset":{"type":"string","default":"UTF_8_BOM","description":"Character set.","enum":["UTF_8","UTF_8_BOM","ASCII","LATIN_1"]},"csvSetting":{"$ref":"#/components/schemas/common-data_import-CsvExportSetting"},"jsonSetting":{"$ref":"#/components/schemas/common-data_import-JsonExportSetting"},"xmlSetting":{"$ref":"#/components/schemas/common-data_import-XmlExportSetting"}},"required":["charset","fileName"]},"common-data_import-CsvExportSetting":{"description":"Settings for the CSV export.","properties":{"targetFieldDefinitions":{"type":"array","description":"Column definitions (in the correct order).","items":{"type":"string","description":"Column definitions (in the correct order)."},"minItems":1},"columnSeparator":{"type":"string","default":";","description":"Column separator.","maxLength":1,"minLength":1},"quotingChar":{"type":"string","default":"\"","description":"Quoting character.","maxLength":1,"minLength":1},"writeHeaderLine":{"type":"boolean","default":true,"description":"Write a header row?"},"linebreakType":{"type":"string","default":"CR_LF","description":"Line break type.","enum":["CR_LF","CR","LF"]}},"required":["columnSeparator","linebreakType","quotingChar","targetFieldDefinitions"]},"common-data_import-JsonExportSetting":{"description":"Settings for the JSON export.","properties":{"rootFieldDefinitions":{"type":"array","description":"JSON field definitions.","items":{"$ref":"#/components/schemas/common-data_import-JsonExportSetting.FieldDefinition"},"minItems":1},"prettyPrint":{"type":"boolean","default":false,"description":"Should the JSON be pretty printed (uses more memory)?"},"linebreakType":{"type":"string","default":"CR_LF","description":"Line break type.","enum":["CR_LF","CR","LF"]}},"required":["rootFieldDefinitions"]},"common-data_import-JsonExportSetting.FieldDefinition":{"description":"JSON field definitions.","properties":{"name":{"type":"string","description":"Field name.","minLength":1},"type":{"type":"string","description":"Field data type.","enum":["TEXT","NUMBER","BOOLEAN","DATE","DATE_TIME","OBJECT"]},"children":{"type":"array","description":"For objects: the fields within the object.","items":{"$ref":"#/components/schemas/common-data_import-JsonExportSetting.FieldDefinition"}},"array":{"type":"boolean","default":false,"description":"Is the field an array?"}},"required":["name","type"]},"common-data_import-XmlExportSetting":{"description":"Settings for the XML export.","properties":{"rootTagName":{"type":"string","description":"XML root element."},"entryRootDefinition":{"$ref":"#/components/schemas/common-data_import-XmlExportSetting.FieldDefinition"},"prettyPrint":{"type":"boolean","default":false,"description":"Should the XML be pretty printed (uses more memory)?"},"writeXmlDeclaration":{"type":"boolean","default":true,"description":"Insert the XML declaration at the beginning of the file."}},"required":["entryRootDefinition","rootTagName"]},"common-data_import-XmlExportSetting.FieldDefinition":{"description":"Individual record structure.","properties":{"name":{"type":"string","description":"XML tag name.","minLength":1},"attributes":{"type":"array","description":"Attributes within the tag.","items":{"type":"string","description":"Attributes within the tag."}},"childTags":{"type":"array","description":"Optional: tags within this tag.","items":{"$ref":"#/components/schemas/common-data_import-XmlExportSetting.FieldDefinition"}}},"required":["name"]},"common-data_import-MultiPartImportRun":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label."},"state":{"type":"string","description":"Status.","enum":["CREATED","EXTRACTING_DATA","DATA_EXTRACTED","RUNNING","ERRONEOUS","COMPLETED","IGNORED","DUMMY"]},"orderedRuleSets":{"type":"array","description":"Import rule set and run by order.","items":{"$ref":"#/components/schemas/common-data_import-MultiPartImportOrderedRuleSet"}},"template":{"type":"boolean","default":false,"description":"Is this a template?"}}},"common-data_import-MultiPartImportOrderedRuleSet":{"description":"Import rule set and run by order.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"importRun":{"$ref":"#/components/schemas/common-data_import-DataImportRun"},"step":{"type":"integer","format":"int32","description":"Level at which the import run is started."},"fileName":{"type":"string","description":"File used for the import."},"importMappingRuleSetRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"label":{"type":"string","description":"Label."}}},"common-data_import-DataImportRun":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"importMappingRuleSetRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"state":{"type":"string","description":"Import run status.","enum":["CREATED","EXTRACTING_DATA","DATA_EXTRACTED","RUNNING","ERRONEOUS","COMPLETED","IGNORED","DUMMY"],"readOnly":true},"headers":{"type":"array","description":"Column assignments.","items":{"$ref":"#/components/schemas/common-data_import-ImportHeader"}},"label":{"type":"string","description":"Label."},"validatedSinceLastRuleChange":{"type":"boolean","default":false,"description":"Were the data validated since the last change to the rule set?","readOnly":true},"lastImportProcess":{"type":"string","format":"uuid","description":"Process identifier of the last tasks of this import run."},"inputType":{"type":"string","description":"Input data type.","enum":["FILE","QUERY"]},"queryPresetRequest":{"$ref":"#/components/schemas/common-cunit-QueryPresetRequest"},"scheduledImportRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"common-data_import-ImportHeader":{"description":"Column assignments.","properties":{"id":{"type":"integer","format":"int64","description":"Unique identifier.","readOnly":true},"caption":{"type":"string","description":"Own column name."},"columnRef":{"type":"string","description":"Physical column name."},"array":{"type":"boolean","description":"Is this an array?"}},"required":["array","caption","columnRef"]},"common-cunit-QueryPresetRequest":{"description":"CUnit template for creating the import.","properties":{"mode":{"type":"string","default":"QUERY","description":"What this preset can represent, QUERY or STATEMENT.","enum":["QUERY","STATEMENT"]},"queryStatement":{"type":"string","description":"When mode == STATEMENT, the VQL query."},"presetId":{"type":"string","description":"Preset identifier."},"adhocPreset":{"$ref":"#/components/schemas/common-cunit-QueryPreset"},"overrideResults":{"type":"array","description":"Results (override QueryPreset#results).","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"}},"arithmeticQueryTerms":{"type":"array","description":"Arithmetic terms - this is where the actual calculation goes.","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTerm"}},"additionalPredicate":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"},"pageable":{"$ref":"#/components/schemas/common-cunit-QueryPresetRequestPageable"},"variableSubstitutionList":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariableSubstitutionList"}}},"common-cunit-QueryPreset":{"description":"Adhoc Preset","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"mode":{"type":"string","default":"QUERY","description":"What this preset can represent, QUERY or STATEMENT.","enum":["QUERY","STATEMENT"]},"templateId":{"type":"string","description":"Template this filter was assigned to.","minLength":1},"templateGroupKey":{"type":"string","description":"The templateGroupKey this filter was assigned to.","minLength":1},"label":{"type":"string","description":"Filter label.","minLength":1},"uiPayload":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"variables":{"type":"array","description":"Variables for this preset.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariable"}},"queryStatement":{"type":"string","description":"When mode == STATEMENT, the VQL query."},"queryPredicate":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"},"results":{"type":"array","description":"Results.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"}},"sortAndOrders":{"type":"array","description":"Sort order.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetSortOrder"}},"pageable":{"$ref":"#/components/schemas/common-cunit-QueryPresetPageable"},"option":{"$ref":"#/components/schemas/common-cunit-QueryPresetOption"},"transformations":{"type":"array","description":"Additional configurations.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetTransformation"}},"arithmeticQueryTerms":{"type":"array","description":"Arithmetic terms - this is where the actual calculation goes.","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTerm"}},"definition":{"type":"array","description":"Cell column description (when nested).","items":{"$ref":"#/components/schemas/core-cunit-MetaContent"},"readOnly":true},"permissionAggregation":{"$ref":"#/components/schemas/common-user-ObjectSpecificPermissionAggregation"},"forWorkflow":{"type":"boolean","default":false,"description":"Intended for workflows."},"outputReportGroupIdentifier":{"type":"string","description":"Identifier of an OutputReportGroup (moduleKey=cunit) used as the print template for this preset."},"userOptions":{"$ref":"#/components/schemas/common-cunit-QueryPresetUserOptions"}},"required":["forWorkflow","label","mode","permissionAggregation","templateGroupKey","templateId"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"common-cunit-QueryPresetVariable":{"description":"Variable to replace.","properties":{"path":{"type":"string","description":"Path that uniquely describes this attribute."},"definition":{"$ref":"#/components/schemas/core-cunit-MetaContent"},"mandatory":{"type":"boolean","description":"Whether the variable is mandatory or not."},"variableName":{"type":"string","description":"Variable name."},"visible":{"type":"boolean","default":true,"description":"Is this a visible variable?"},"alignX":{"type":"integer","format":"int32","description":"Layout in the UI - x coordinate."},"alignY":{"type":"integer","format":"int32","description":"Layout in the UI - y coordinate."},"alignWidth":{"type":"integer","format":"int32","description":"Layout in the UI - width."},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"allowDialogMultipleChoice":{"type":"boolean","default":false,"description":"Is a multiple selection allowed?"}}},"core-cunit-MetaContent":{"description":"Variable definition.","discriminator":{"propertyName":"_type"},"oneOf":[{"$ref":"#/components/schemas/core-cunit-CuMeta"},{"$ref":"#/components/schemas/core-cunit-CuAttribute"}],"properties":{"_type":{"type":"string"}},"required":["_type"]},"core-cunit-CuMeta":{"allOf":[{"$ref":"#/components/schemas/core-cunit-MetaContent"},{"type":"object","properties":{"definition":{"$ref":"#/components/schemas/core-cunit-CuAttribute"},"value":{"type":"array","description":"Cell column description (when nested).","items":{"$ref":"#/components/schemas/core-cunit-MetaContent"}}}}]},"core-cunit-CuAttribute":{"allOf":[{"$ref":"#/components/schemas/core-cunit-MetaContent"},{"type":"object","properties":{"key":{"type":"string","description":"Unique key identifying the attribute."},"attribute":{"type":"string","description":"Name of the attribute containing the result."},"path":{"type":"string","description":"Path that uniquely describes this attribute."},"displayName":{"type":"string","description":"Field name."},"displayNameOverride":{"type":"boolean","default":false,"description":"The field name was overridden (alias or function)."},"groupDisplayName":{"type":"string","description":"Field group name."},"parentDisplayName":{"type":"string","description":"Referencing field name."},"resultable":{"type":"boolean","default":true,"description":"Can this field be a result field?"},"filterable":{"type":"boolean","default":true,"description":"Can this field be filtered by?"},"sortable":{"type":"boolean","default":true,"description":"Is this field sortable?"},"visible":{"type":"boolean","default":true,"description":"Should this field be shown?"},"functions":{"type":"array","description":"Applied functions (when this is used as result metadata).","items":{"type":"string","description":"Applied functions (when this is used as result metadata)."}},"sortDirection":{"type":"string","description":"Information on how this column was sorted."},"constraint":{"$ref":"#/components/schemas/core-cunit-CuAttributeConstraint"},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"dataTypeIdentifier":{"type":"string","description":"Attribute data type identifier (when dataType is empty).","readOnly":true},"modelType":{"type":"string","description":"The attribute belongs to the model type 'static' or 'dynamic'.","enum":["STATIC","DYNAMIC"],"readOnly":true},"entityIdentifier":{"type":"string","description":"Identifier of the entity this attribute belongs to (e.g. 'AccountEntity').","readOnly":true},"referencedEntityIdentifier":{"type":"string","description":"For relation attributes: fully qualified class name of the target entity (e.g. 'ag.vario.erp.account.AccountEntity').","readOnly":true},"headers":{"type":"array","description":"For a grouped header (e.g. a cross table) the individual groups are described here.","items":{"$ref":"#/components/schemas/core-cunit-CuAttribute.HeaderGroup"},"readOnly":true}}}]},"core-cunit-CuAttributeConstraint":{"description":"Attribute constraints.","properties":{"minLength":{"type":"integer","format":"int32","description":"Minimum length (of strings or arrays).","readOnly":true},"maxLength":{"type":"integer","format":"int32","description":"Maximum length (of strings or arrays).","readOnly":true},"minValue":{"type":"integer","format":"int64","description":"Minimum value.","readOnly":true},"includeMinValue":{"type":"boolean","description":"Is the minimum value inclusive?","readOnly":true},"maxValue":{"type":"integer","format":"int64","description":"Maximum value.","readOnly":true},"includeMaxValue":{"type":"boolean","description":"Is the maximum value inclusive?","readOnly":true},"notNull":{"type":"boolean","default":false,"description":"Is the value 'null' forbidden?","readOnly":true},"notBlank":{"type":"boolean","description":"For strings: is a string consisting only of whitespace forbidden?","readOnly":true},"digitsFraction":{"type":"integer","format":"int32","description":"Maximum number of decimal places.","readOnly":true}}},"core-cunit-CuAttributeDataType":{"description":"Attribute data type (when dataTypeIdentifier is empty).","properties":{"identifier":{"type":"string","description":"Datentyp-identifier","readOnly":true},"jsType":{"type":"string","description":"Which type it is.","readOnly":true},"objectRefIdentifier":{"type":"string","description":"For Object_Ref: which type exactly it is.","readOnly":true},"filterOptions":{"$ref":"#/components/schemas/core-cunit-CuAttributeFilterOptions"},"functions":{"type":"array","description":"Which functions are allowed?","items":{"type":"string","description":"Which functions are allowed?"},"readOnly":true},"predicateOperations":{"type":"array","description":"Which operations are allowed?","items":{"type":"string","description":"Which operations are allowed?","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"readOnly":true}}},"core-cunit-CuAttributeFilterOptions":{"description":"CUnit attribute filter options.","properties":{"filterValues":{"type":"array","description":"Possible filter values.","items":{"type":"string","description":"Possible filter values."}},"filterDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"multipleChoice":{"type":"boolean","default":false,"description":"Is a multiple selection allowed?"}}},"core-cunit-CuAttribute.HeaderGroup":{"description":"For a grouped header (e.g. a cross table) the individual groups are described here.","properties":{"displayName":{"type":"string","description":"Field name."},"displayNameOverride":{"type":"boolean","default":false,"description":"The field name was overridden (alias or function)."},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"dataTypeIdentifier":{"type":"string","description":"Attribute data type identifier (when dataType is empty).","readOnly":true},"groupDisplayName":{"type":"string","description":"Field group name."},"data":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"common-cunit-QueryPresetPredicate":{"description":"Conditions for selecting storage bins.","properties":{"type":{"type":"string","description":"Filter operation.","enum":["JUNCTION","FILTER"]},"operator":{"type":"string","description":"operator","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"children":{"type":"array","description":"Child definitions (for a junction).","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"}},"property":{"type":"string","description":"filter property"},"values":{"type":"array","description":"Filter values.","items":{"type":"string","description":"Filter values."}},"visible":{"type":"boolean","default":true,"description":"Visibility for variables."},"functions":{"type":"array","description":"SQL function applied in the predicate.","items":{"type":"string","description":"SQL function applied in the predicate."}}},"required":["operator","type"]},"common-cunit-QueryPresetResult":{"description":"Results.","properties":{"property":{"type":"string","description":"property","minLength":1},"displayName":{"type":"string","description":"Column title."},"functions":{"type":"array","description":"Functions.","items":{"type":"string","description":"Functions."}},"visible":{"type":"boolean","default":true,"description":"Visible result column."}},"required":["property"]},"common-cunit-QueryPresetSortOrder":{"description":"Sort and order instructions.","properties":{"property":{"type":"string","description":"property","minLength":1},"functions":{"type":"array","description":"Functions","items":{"type":"string","description":"Functions"}},"direction":{"type":"string","description":"sort order","enum":["ASC","DESC"]}},"required":["direction","property"]},"common-cunit-QueryPresetPageable":{"description":"pageable","properties":{"limit":{"type":"integer","format":"int64","description":"Query limit (MaxRecordCount)."}}},"common-cunit-QueryPresetOption":{"description":"options","properties":{"distinctResult":{"type":"boolean","description":"Should the query be executed with a DISTINCT?"}}},"common-cunit-QueryPresetTransformation":{"description":"Additional configurations.","properties":{"crossTable":{"$ref":"#/components/schemas/common-cunit-QueryPresetCrossTableTransformation"}}},"common-cunit-QueryPresetCrossTableTransformation":{"description":"Contains the fields responsible for forming the rows in a cross table (essentially the group key).","properties":{"rowSpecs":{"type":"array","description":"Contains the fields responsible for forming the rows in a cross table (essentially the group key).","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"},"minItems":1},"columnSpecs":{"type":"array","description":"Contains the fields that are created as dynamic columns in the cross table.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"},"minItems":1},"results":{"type":"array","description":"Contains the fields that are determined per rowSpec combination depending on the column value.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetCrossTableTransformation.QueryPresetCrossTableCell"},"minItems":1}},"required":["columnSpecs","results","rowSpecs"]},"common-cunit-QueryPresetCrossTableTransformation.QueryPresetCrossTableCell":{"description":"Contains the fields that are determined per rowSpec combination depending on the column value.","properties":{"result":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"},"cellView":{"type":"string","description":"Value representation.","enum":["AS_IS","PERCENT_COL"]},"sumColumn":{"type":"boolean","default":false,"description":"Should a column total be created?"},"rowMode":{"type":"string","description":"Should a row total be created?","enum":["DATA","DATA_AND_TOTAL","TOTAL"]},"aggregateFunction":{"type":"string","description":"Function the cell values are aggregated with."}}},"common-cunit-ArithmeticQueryTerm":{"description":"Arithmetic terms - this is where the actual calculation goes.","properties":{"termName":{"type":"string","description":"Term name for processing and display."},"terms":{"type":"array","description":"Inner terms - either references to attributes or further nestings of the calculation.","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTermInner"}},"operations":{"type":"array","description":"Operations to be performed on the terms.","items":{"type":"string","description":"Operations to be performed on the terms.","enum":["PLUS","MINUS","MULTIPLY","DIVIDE"]}}}},"common-cunit-ArithmeticQueryTermInner":{"description":"Inner terms - either references to attributes or further nestings of the calculation.","properties":{"fragment":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTermFragment"},"attribute":{"type":"string","description":"Actual attribute from the template."},"fixedValue":{"type":"number","description":"Fixed value."}}},"common-cunit-ArithmeticQueryTermFragment":{"description":"Term fragment - a further nesting with its own operations.","properties":{"terms":{"type":"array","description":"Inner terms - either references to attributes or further nestings of the calculation.","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTermInner"}},"operations":{"type":"array","description":"Operations to be performed on the terms.","items":{"type":"string","description":"Operations to be performed on the terms.","enum":["PLUS","MINUS","MULTIPLY","DIVIDE"]}}}},"common-user-ObjectSpecificPermissionAggregation":{"description":"All user and group permissions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"userPermissions":{"type":"array","description":"User permissions.","items":{"$ref":"#/components/schemas/common-user-ObjectSpecificUserPermission"}},"groupPermissions":{"type":"array","description":"Group permissions.","items":{"$ref":"#/components/schemas/common-user-ObjectSpecificGroupPermission"}},"operationForAllUsers":{"type":"string","description":"Access rights for all users.","enum":["READ_ONLY","READ_AND_EDIT"]}}},"common-user-ObjectSpecificUserPermission":{"description":"User permissions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"userRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"operation":{"type":"string","description":"Permission.","enum":["READ_ONLY","READ_AND_EDIT"]}}},"common-user-ObjectSpecificGroupPermission":{"description":"Group permissions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"groupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"operation":{"type":"string","description":"Permission.","enum":["READ_ONLY","READ_AND_EDIT"]}}},"common-cunit-QueryPresetUserOptions":{"description":"User-related settings.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"pinned":{"type":"boolean","default":false,"description":"Is this pinned?"}},"required":["pinned"]},"common-cunit-QueryPresetRequestPageable":{"description":"Paging and sorting information.","properties":{"start":{"type":"integer","format":"int64","description":"Start-Offset"},"limit":{"type":"integer","format":"int32","description":"Result limit."},"sortOrders":{"type":"array","description":"Sort and order instructions.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetSortOrder"}}}},"common-cunit-QueryPresetVariableSubstitutionList":{"description":"Variable values.","properties":{"variableSubstitutions":{"type":"array","description":"Variable assignments.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariableSubstitution"}}}},"common-cunit-QueryPresetVariableSubstitution":{"description":"Variable assignments.","properties":{"variable":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariable"},"values":{"type":"array","description":"Values to insert.","items":{"type":"string","description":"Values to insert."}}}}}}}
```

## DELETE /cmn/data-import/runs/multi-part/{id}

> Delete an existing Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"MultiPartImport","description":"Multi-stage import runs."}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/data-import/runs/multi-part/{id}":{"delete":{"tags":["MultiPartImport"],"summary":"Delete an existing Resource","operationId":"delete_124","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}},"404":{"description":"Resource was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"409":{"description":"unable to delete Resource, due to constraints, existing references or internal state","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## PUT /cmn/data-import/runs/multi-part/{id}/run

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"MultiPartImport","description":"Multi-stage import runs."}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/data-import/runs/multi-part/{id}/run":{"put":{"tags":["MultiPartImport"],"operationId":"startImportRun_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## POST /cmn/data-import/runs/multi-part

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"MultiPartImport","description":"Multi-stage import runs."}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/data-import/runs/multi-part":{"post":{"tags":["MultiPartImport"],"operationId":"createFromRequest","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-data_import-CreateMultiPartImportRunRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/common-data_import-MultiPartImportRun"}}}}}}}},"components":{"schemas":{"common-data_import-CreateMultiPartImportRunRequest":{"properties":{"label":{"type":"string","description":"Label."},"orderedRuleSets":{"type":"array","description":"Import rule set with a defined order.","items":{"$ref":"#/components/schemas/common-data_import-CreateMultiPartOrderedRuleSetRequest"}},"template":{"type":"boolean","default":false,"description":"Create this as a template?"}}},"common-data_import-CreateMultiPartOrderedRuleSetRequest":{"description":"Import rule set with a defined order.","properties":{"step":{"type":"integer","format":"int32","description":"Level at which the individual import is started."},"fileName":{"type":"string","description":"File used for the import (including file extension)."},"label":{"type":"string","description":"Import name."},"ruleSet":{"$ref":"#/components/schemas/common-data_import-ImportMappingRuleSet"}}},"common-data_import-ImportMappingRuleSet":{"description":"Rule set for the import run.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"mode":{"type":"string","description":"Mode.","enum":["SCRIPT","IMPORT","EXPORT"]},"label":{"type":"string","description":"Unique label."},"root":{"type":"string","description":"For JSON and XML import: at which path do the import data start?"},"rules":{"type":"array","description":"Mapping rules.","items":{"$ref":"#/components/schemas/common-data_import-ImportMappingRule"}},"importModuleKey":{"type":"string","description":"Which import this rule set applies to."},"dataFrom":{"type":"integer","format":"int64","description":"First record index (1-based) - all preceding ones are ignored."},"dataTo":{"type":"integer","format":"int64","description":"Last record index (1-based) - all following ones are ignored."},"headerIndex":{"type":"integer","format":"int64","description":"If present: header row index (1-based)."},"columnSeparator":{"type":"string","description":"CSV only: separator within a row."},"fixedWidthColumnDefinitions":{"type":"array","description":"Column definitions used to split fixed-width rows","items":{"$ref":"#/components/schemas/common-data_import-FixedWidthColumnDefinition"}},"charSet":{"type":"string","description":"For CSV and JSON: the character set used.","enum":["UTF_8","ASCII","LATIN_1","AUTO_DETECT"]},"quotingChar":{"type":"string","description":"CSV only: character used to quote a text field (usually ' or \")."},"targetFieldRules":{"type":"array","description":"Indicates how target fields and sub-objects are handled.","items":{"$ref":"#/components/schemas/common-data_import-TargetFieldRule"}},"createRulesForEavGroup":{"type":"string","description":"Indicates that rules should be generated for an EAV group on execution."},"defaultDateFormatDirective":{"$ref":"#/components/schemas/common-data_import-FormatDirective"},"defaultDateTimeFormatDirective":{"$ref":"#/components/schemas/common-data_import-FormatDirective"},"defaultNumberFormatDirective":{"$ref":"#/components/schemas/common-data_import-FormatDirective"},"defaultBooleanFormatDirective":{"$ref":"#/components/schemas/common-data_import-FormatDirective"},"script":{"type":"string","description":"When mode == SCRIPT: the script to execute. Only the script or the script module may be set."},"scriptModuleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"parameters":{"type":"array","description":"Script parameters.","items":{"$ref":"#/components/schemas/common-data_import-ImportMappingRuleSetParameter"}},"parallelExecutionAllowed":{"type":"boolean","default":true,"description":"Is splitting into several tasks executed in parallel allowed?"},"advancedUi":{"type":"boolean","default":false,"description":"Use the advanced representation in the UI?"},"ignoreEmptyData":{"type":"boolean","default":false,"description":"For JSON import: ignore an empty data set?"},"exportSetting":{"$ref":"#/components/schemas/common-data_import-ExportSetting"},"suppressWebhooks":{"type":"boolean","default":false,"description":"Should webhooks be disabled during the execution?"},"suppressWorkflows":{"type":"boolean","default":false,"description":"Should workflows be disabled during the execution?"},"createMissingHeadersFromRuleSet":{"type":"boolean","default":false,"description":"JSON and XML only: generate missing headers automatically from the columns referenced in the rule set?"}},"required":["mode"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"common-data_import-ImportMappingRule":{"description":"Mapping rules.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"transformation":{"$ref":"#/components/schemas/common-data_import-Transformation"}},"required":["transformation"]},"common-data_import-Transformation":{"description":"Indicates how the value for target is produced.","properties":{"type":{"type":"string","description":"Transformation type.","enum":["DIRECT","CONCAT","TRIM","UPPER_CASE","LOWER_CASE","REPLACE","REGEX_REPLACE","FIXED_VALUE","COALESCE","ROW_INDEX","GET_AT_INDEX","ITERATE","GROUP_TO_OBJECT","MODULE_SPECIFIC"]},"children":{"type":"array","description":"Sub-transformations as input for the transformation.","items":{"$ref":"#/components/schemas/common-data_import-Transformation"}},"columnName":{"type":"string","description":"For DIRECT, GET_AT_INDEX and ITERATE: the column the data are taken from."},"fixedValue":{"type":"string","description":"For FIXED_VALUE: the value."},"replacements":{"type":"array","description":"For REPLACE: the replacements.","items":{"$ref":"#/components/schemas/common-data_import-Transformation.Replacement"}},"matchWholeFieldsOnly":{"type":"boolean","description":"For REPLACE: replace only when the whole value matches, no substrings."},"regexSearch":{"type":"string","description":"For REGEX_REPLACE: the regular expression to search for."},"regexReplacement":{"type":"string","description":"For REGEX_REPLACE: the replacement applied for the regular expression."},"caseSensitive":{"type":"boolean","description":"For (REGEX_)REPLACE: replace only when the case matches?"},"useDefaultValueForReplacement":{"type":"boolean","default":false,"description":"For REPLACE with matchWholeFieldsOnly: should the default value be used when no expression matches?"},"defaultValue":{"type":"string","description":"For REPLACE with matchWholeFieldsOnly: the replacement when no expression matches."},"index":{"type":"integer","format":"int32","description":"For GET_AT_INDEX: which array element is wanted (0-based index)?"},"target":{"type":"string","description":"Target the transformation result is written to."},"formatDirective":{"$ref":"#/components/schemas/common-data_import-FormatDirective"},"moduleSpecificTransformationKey":{"type":"string","description":"Key for special transformations."},"suppressFailures":{"type":"boolean","description":"For special transformations: ignore an error and use null instead?"},"auxiliaryTransformation":{"type":"boolean","default":false,"description":"Is this an auxiliary transformation without a real mapping target?"},"dataType":{"type":"string","description":"For auxiliary transformations: the data type."}},"required":["type"]},"common-data_import-Transformation.Replacement":{"description":"For REPLACE: the replacements.","properties":{"from":{"type":"string","description":"String to replace.","minLength":1},"to":{"type":"string","description":"Replacement for the string."}},"required":["from"]},"common-data_import-FormatDirective":{"description":"Default format for boolean values.","properties":{"formatType":{"type":"string","description":"Which data type this formatting is intended for.","enum":["NUMERIC","DATE","DATETIME","BOOLEAN"]},"patternString":{"type":"string","description":"For DATE and DATETIME: a pattern for parsing."},"groupingSign":{"type":"string","description":"Thousands separator for numeric values."},"decimalSign":{"type":"string","description":"Decimal separator for numeric values."},"representationForTrue":{"type":"string","description":"Text representing the boolean value true (for example 'J')."},"representationForFalse":{"type":"string","description":"Text representing the boolean value false (for example 'N')."}},"required":["formatType"]},"common-data_import-FixedWidthColumnDefinition":{"description":"Column definitions used to split fixed-width rows","properties":{"startPosition":{"type":"integer","format":"int32","description":"Column starting position","minimum":1},"padChar":{"type":"string","description":"will be removed if found at the beginning or end of the column","maxLength":1,"minLength":1}},"required":["startPosition"]},"common-data_import-TargetFieldRule":{"description":"Indicates how target fields and sub-objects are handled.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"path":{"type":"string","description":"Path to the sub-object or field."},"lookupFields":{"type":"array","description":"Which fields identify the object? Only for LOAD_OR_INSERT, UPDATE and UPSERT.","items":{"type":"string","description":"Which fields identify the object? Only for LOAD_OR_INSERT, UPDATE and UPSERT."}},"policy":{"type":"string","description":"How should sub-objects be handled?","enum":["LOAD","INSERT","INSERT_FACTORY","UPSERT","UPDATE","LOAD_OR_INSERT","LOAD_OR_IGNORE"]},"nullValueHandlingStrategy":{"type":"string","description":"How should a null value be handled?","enum":["IGNORE","OVERRIDE"]},"ignoreRules":{"type":"array","description":"Conditions under which the object to import should be ignored.","items":{"$ref":"#/components/schemas/common-data_import-IgnoreRule"}}},"required":["path"]},"common-data_import-IgnoreRule":{"description":"Conditions under which the object to import should be ignored.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"comparisonType":{"type":"string","description":"Comparison operator.","enum":["IS_NULL","IS_NOT_NULL","EQUALS","NOT_EQUALS","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS"]},"matchingType":{"type":"string","description":"Does a single match already fail or must all values match?","enum":["ANY_MATCH","ALL_MATCH"]},"comparisonValue":{"type":"string","description":"Value that leads to exclusion."},"fieldToCompare":{"type":"string","description":"Which field's value is compared?"}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"common-data_import-ImportMappingRuleSetParameter":{"description":"Import rule set parameter.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Parameter name.","maxLength":255,"minLength":0},"requiredValueType":{"type":"string","description":"Parameter type, if it was predefined e.g. by a script module.","maxLength":255,"minLength":0,"readOnly":true},"fixedValue":{"type":"string","description":"Fixed value (only in combination with fixedValueType).","maxLength":255,"minLength":0},"fixedValueType":{"type":"string","description":"Fixed value data type (only in combination with fixedValue).","maxLength":255,"minLength":0},"queryPresetRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"variableMapping":{"type":"object","additionalProperties":{"type":"string","description":"Mapping from a query variable (key) to attribute paths in the import data (value)."},"description":"Mapping from a query variable (key) to attribute paths in the import data (value)."},"attributePath":{"type":"string","description":"Path to an attribute within the query from queryPresetRef."}},"required":["name"]},"common-data_import-ExportSetting":{"description":"When a file export module was selected: the export settings.","properties":{"fileName":{"type":"string","description":"File name without the file extension.","minLength":1},"charset":{"type":"string","default":"UTF_8_BOM","description":"Character set.","enum":["UTF_8","UTF_8_BOM","ASCII","LATIN_1"]},"csvSetting":{"$ref":"#/components/schemas/common-data_import-CsvExportSetting"},"jsonSetting":{"$ref":"#/components/schemas/common-data_import-JsonExportSetting"},"xmlSetting":{"$ref":"#/components/schemas/common-data_import-XmlExportSetting"}},"required":["charset","fileName"]},"common-data_import-CsvExportSetting":{"description":"Settings for the CSV export.","properties":{"targetFieldDefinitions":{"type":"array","description":"Column definitions (in the correct order).","items":{"type":"string","description":"Column definitions (in the correct order)."},"minItems":1},"columnSeparator":{"type":"string","default":";","description":"Column separator.","maxLength":1,"minLength":1},"quotingChar":{"type":"string","default":"\"","description":"Quoting character.","maxLength":1,"minLength":1},"writeHeaderLine":{"type":"boolean","default":true,"description":"Write a header row?"},"linebreakType":{"type":"string","default":"CR_LF","description":"Line break type.","enum":["CR_LF","CR","LF"]}},"required":["columnSeparator","linebreakType","quotingChar","targetFieldDefinitions"]},"common-data_import-JsonExportSetting":{"description":"Settings for the JSON export.","properties":{"rootFieldDefinitions":{"type":"array","description":"JSON field definitions.","items":{"$ref":"#/components/schemas/common-data_import-JsonExportSetting.FieldDefinition"},"minItems":1},"prettyPrint":{"type":"boolean","default":false,"description":"Should the JSON be pretty printed (uses more memory)?"},"linebreakType":{"type":"string","default":"CR_LF","description":"Line break type.","enum":["CR_LF","CR","LF"]}},"required":["rootFieldDefinitions"]},"common-data_import-JsonExportSetting.FieldDefinition":{"description":"JSON field definitions.","properties":{"name":{"type":"string","description":"Field name.","minLength":1},"type":{"type":"string","description":"Field data type.","enum":["TEXT","NUMBER","BOOLEAN","DATE","DATE_TIME","OBJECT"]},"children":{"type":"array","description":"For objects: the fields within the object.","items":{"$ref":"#/components/schemas/common-data_import-JsonExportSetting.FieldDefinition"}},"array":{"type":"boolean","default":false,"description":"Is the field an array?"}},"required":["name","type"]},"common-data_import-XmlExportSetting":{"description":"Settings for the XML export.","properties":{"rootTagName":{"type":"string","description":"XML root element."},"entryRootDefinition":{"$ref":"#/components/schemas/common-data_import-XmlExportSetting.FieldDefinition"},"prettyPrint":{"type":"boolean","default":false,"description":"Should the XML be pretty printed (uses more memory)?"},"writeXmlDeclaration":{"type":"boolean","default":true,"description":"Insert the XML declaration at the beginning of the file."}},"required":["entryRootDefinition","rootTagName"]},"common-data_import-XmlExportSetting.FieldDefinition":{"description":"Individual record structure.","properties":{"name":{"type":"string","description":"XML tag name.","minLength":1},"attributes":{"type":"array","description":"Attributes within the tag.","items":{"type":"string","description":"Attributes within the tag."}},"childTags":{"type":"array","description":"Optional: tags within this tag.","items":{"$ref":"#/components/schemas/common-data_import-XmlExportSetting.FieldDefinition"}}},"required":["name"]},"common-data_import-MultiPartImportRun":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label."},"state":{"type":"string","description":"Status.","enum":["CREATED","EXTRACTING_DATA","DATA_EXTRACTED","RUNNING","ERRONEOUS","COMPLETED","IGNORED","DUMMY"]},"orderedRuleSets":{"type":"array","description":"Import rule set and run by order.","items":{"$ref":"#/components/schemas/common-data_import-MultiPartImportOrderedRuleSet"}},"template":{"type":"boolean","default":false,"description":"Is this a template?"}}},"common-data_import-MultiPartImportOrderedRuleSet":{"description":"Import rule set and run by order.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"importRun":{"$ref":"#/components/schemas/common-data_import-DataImportRun"},"step":{"type":"integer","format":"int32","description":"Level at which the import run is started."},"fileName":{"type":"string","description":"File used for the import."},"importMappingRuleSetRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"label":{"type":"string","description":"Label."}}},"common-data_import-DataImportRun":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"importMappingRuleSetRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"state":{"type":"string","description":"Import run status.","enum":["CREATED","EXTRACTING_DATA","DATA_EXTRACTED","RUNNING","ERRONEOUS","COMPLETED","IGNORED","DUMMY"],"readOnly":true},"headers":{"type":"array","description":"Column assignments.","items":{"$ref":"#/components/schemas/common-data_import-ImportHeader"}},"label":{"type":"string","description":"Label."},"validatedSinceLastRuleChange":{"type":"boolean","default":false,"description":"Were the data validated since the last change to the rule set?","readOnly":true},"lastImportProcess":{"type":"string","format":"uuid","description":"Process identifier of the last tasks of this import run."},"inputType":{"type":"string","description":"Input data type.","enum":["FILE","QUERY"]},"queryPresetRequest":{"$ref":"#/components/schemas/common-cunit-QueryPresetRequest"},"scheduledImportRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"common-data_import-ImportHeader":{"description":"Column assignments.","properties":{"id":{"type":"integer","format":"int64","description":"Unique identifier.","readOnly":true},"caption":{"type":"string","description":"Own column name."},"columnRef":{"type":"string","description":"Physical column name."},"array":{"type":"boolean","description":"Is this an array?"}},"required":["array","caption","columnRef"]},"common-cunit-QueryPresetRequest":{"description":"CUnit template for creating the import.","properties":{"mode":{"type":"string","default":"QUERY","description":"What this preset can represent, QUERY or STATEMENT.","enum":["QUERY","STATEMENT"]},"queryStatement":{"type":"string","description":"When mode == STATEMENT, the VQL query."},"presetId":{"type":"string","description":"Preset identifier."},"adhocPreset":{"$ref":"#/components/schemas/common-cunit-QueryPreset"},"overrideResults":{"type":"array","description":"Results (override QueryPreset#results).","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"}},"arithmeticQueryTerms":{"type":"array","description":"Arithmetic terms - this is where the actual calculation goes.","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTerm"}},"additionalPredicate":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"},"pageable":{"$ref":"#/components/schemas/common-cunit-QueryPresetRequestPageable"},"variableSubstitutionList":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariableSubstitutionList"}}},"common-cunit-QueryPreset":{"description":"Adhoc Preset","properties":{"version":{"type":"string","description":"Version Identifier fo
[...]
